Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/custom-field-definitions \ --header 'x-channel-access-token: <api-key>'
{ "customFieldDefinitions": [ { "_id": "67f8c4da35d6e293b9c2a111", "ownerType": "collab", "name": "Hero Header", "description": "Top hero heading for creator storefront", "handle": "cc-hero-header", "type": "single_line_text_field", "isEditable": true, "isCreatorEditable": true, "isDeleted": false }, { "_id": "67f8c4da35d6e293b9c2a112", "ownerType": "drop", "name": "Drop Subtitle", "handle": "cc-drop-subtitle", "type": "multi_line_text_field", "isEditable": true, "isCreatorEditable": true } ] }
Channel or partner access token (x-channel-access-token or x-partner-access-token)
Custom field definitions retrieved
Show child attributes